Skip to main content
POST
Confirm a donor sponsorship review

Path Parameters

client_id
integer
required

Record ID in the authenticated organization.

Example:

42

program_id
string
required

Owned portal program ID or none for the organization-wide portal.

Example:

"none"

session_id
string
required

Logged-in donor session token for the requested organization; refreshed to one hour.

Example:

"donor-session-token"

donor_entity_id
integer
required

Record ID in the authenticated organization.

Example:

42

Body

application/json
preview_token
string<uuid>
required

Unconsumed review UUID returned by preview.

Example:

"d38103d8-1e8b-47ab-ae04-7e1f8a3bc727"

Response

Confirm a donor sponsorship review completed.

status
enum<string>

Operation success.

Available options:
success
Example:

"success"

data
object
message
string

Operation result.

Example:

"Your payment schedule has been updated. You were not charged."